> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dataspike.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Download an address check PDF report

> Generates and streams a PDF risk report for the specified address check. Only available for successful checks.



## OpenAPI

````yaml https://api.dataspike.io/openapi/kyt/public.json get /api/v4/kyt/checks/address/{id}/report
openapi: 3.1.0
info:
  description: >-
    Know Your Transaction (KYT) — blockchain address, transaction and transfer
    risk analysis.
  title: Dataspike KYT API
  version: '4.0'
servers: []
security: []
paths:
  /api/v4/kyt/checks/address/{id}/report:
    get:
      tags:
        - Address Checks
      summary: Download an address check PDF report
      description: >-
        Generates and streams a PDF risk report for the specified address check.
        Only available for successful checks.
      operationId: GET_/api/v4/kyt/checks/address/:id/report
      parameters:
        - description: Check identifier.
          in: path
          name: id
          required: true
          schema:
            type: string
        - description: Report language.
          in: query
          name: lang
          schema:
            default: en
            enum:
              - en
              - es
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: aaeddf5c-1841-4b40-adbf-a135e34f983e
            application/xml:
              schema:
                $ref: aaeddf5c-1841-4b40-adbf-a135e34f983e
          description: OK
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlainMessage'
            application/xml:
              schema:
                $ref: '#/components/schemas/PlainMessage'
          description: Check not found.
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlainMessage'
            application/xml:
              schema:
                $ref: '#/components/schemas/PlainMessage'
          description: Report not available for failed checks.
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlainMessage'
            application/xml:
              schema:
                $ref: '#/components/schemas/PlainMessage'
          description: PDF generation not configured.
        default:
          content:
            application/pdf:
              schema:
                items:
                  $ref: '#/components/schemas/uint8'
                type: array
          description: PDF report.
      security:
        - ApiKey: []
components:
  schemas:
    PlainMessage:
      description: PlainMessage schema
      properties:
        message:
          type: string
      type: object
    uint8:
      description: uint8 schema
      maximum: 255
      minimum: 0
      type: integer
  securitySchemes:
    ApiKey:
      description: API token passed in the request header.
      in: header
      name: ds-api-token
      type: apiKey

````